[winswitch] Help building xpra for openSUSE 11.4

Aram Akhavan aram.akhavan at asu.edu
Sat Feb 16 01:03:06 GMT 2019


I have a workstation that uses openSUSE 11.4. I'd like to install xpra, 
but no package exists for this old OS.

Unfortunately, it also seems that, since the OS support ended so long 
ago, xpra's dependencies are not even up to date. So I cannot build xpra 
myself, unless I build the dependencies as well.

I can't build the dependencies in their default locations because I 
don't have root access, so I'm left with a mess of shared object files 
and linking issues. I've been bashing my head against this for a week 
and not making much progress. Every dependency I try to build has its 
own dependencies, which I often cannot build either. I've gotten so far 
as to have to re-build gcc and glibc from scratch. But my existing gcc 
is so old I'm having problems!

Does anyone have a suggestion as to how I can make this less painful? 
What I'm hoping to accomplish is a statically-linked binary that I can 
build and run from a network share. Does such a binary already exist 
somewhere that I can just download?

Many thanks,

Aram




More information about the shifter-users mailing list